slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetDS

Obtain the direct solver object associated to the nonlinear eigensolver object.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetDS(NEP nep,DS *ds)

Not Collective

### Input Parameters

| nep | - eigensolver context obtained from NEPCreate()

### Output Parameter

| ds | - direct solver context

### See Also

NEPSetDS()

### Level

advanced

### Location

src/nep/interface/nepbasic.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages